KDE 4.7 PyKDE API Reference

- KDE's Python API

# ViewParams Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

A public class that controls the painting of a MarbleWidget

## Methods
| __init__ (self)
| __init__ (self, Marble.ViewParams a0)
QImage | canvasImage (self)
| centerCoordinates (self, float centerLon, float centerLat)
QImage | coastImage (self)
int | height (self)
Marble.MapQuality | mapQuality (self)
Marble.MapQuality | mapQuality (self, Marble.ViewContext viewContext)
Marble.Quaternion | planetAxis (self)
Marble.Projection | projection (self)
| propertyAvailable (self, QString name, bool available)
| propertyValue (self, QString name, bool value)
int | radius (self)
| setMapQualityForViewContext (self, Marble.MapQuality quality, Marble.ViewContext viewContext)
| setMapThemeId (self, QString a0)
| setPlanetAxis (self, Marble.Quaternion newAxis)
| setProjection (self, Marble.Projection newProjection)
| setPropertyValue (self, QString name, bool value)
| setRadius (self, int newRadius)
| setShowAtmosphere (self, bool a0)
| setShowClouds (self, bool a0)
| setShowElevationModel (self, bool a0)
| setShowGps (self, bool a0)
| setSize (self, int width, int height)
| setViewContext (self, Marble.ViewContext viewContext)
bool | showAtmosphere (self)
bool | showClouds (self)
bool | showElevationModel (self)
bool | showGps (self)
Marble.ViewContext | viewContext (self)
Marble.ViewportParams | viewport (self)
int | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.ViewParams | a0
| ) |  |  |

QImage canvasImage | ( |  | self ) |

centerCoordinates | ( | self, |
|  | float | centerLon,
|  | float | centerLat
| ) |  |  |

QImage coastImage | ( |  | self ) |

int height | ( |  | self ) |

Marble.MapQuality mapQuality | ( |  | self ) |

Marble.MapQuality mapQuality | ( | self, |
|  | Marble.ViewContext | viewContext
| ) |  |  |

Marble.Quaternion planetAxis | ( |  | self ) |

Marble.Projection projection | ( |  | self ) |

propertyAvailable | ( | self, |
|  | QString | name,
|  | bool | available
| ) |  |  |

Get the availability of a property across groups

Parameters:

  |  | name the property name
  |  | available availability of the property

Returns:
  true the property was registered in the settings

false the property wasn't registered in the settings

propertyValue | ( | self, |
|  | QString | name,
|  | bool | value
| ) |  |  |

Get the value of a property across groups

Parameters:

  |  | name the property name

int radius | ( |  | self ) |

setMapQualityForViewContext | ( | self, |
|  | Marble.MapQuality | quality,
|  | Marble.ViewContext | viewContext
| ) |  |  |

setMapThemeId | ( | self, |
|  | QString | a0
| ) |  |  |

The actual parameters for the look get loaded via setMapThemeID. mapTheme returns a pointer which then can get passed on to the MarbleModel and the MarbleLegendBrowser.

setPlanetAxis | ( | self, |
|  | Marble.Quaternion | newAxis
| ) |  |  |

setProjection | ( | self, |
|  | Marble.Projection | newProjection
| ) |  |  |

setPropertyValue | ( | self, |
|  | QString | name,
|  | bool | value
| ) |  |  |

Set the value of a map theme property

Parameters:

  |  | name the property name
  |  | value the value of the property

Returns:
  true the property was found and changed accordingly

false the property couldn't be found here

setRadius | ( | self, |
|  | int | newRadius
| ) |  |  |

setShowAtmosphere | ( | self, |
|  | bool | a0
| ) |  |  |

setShowClouds | ( | self, |
|  | bool | a0
| ) |  |  |

setShowElevationModel | ( | self, |
|  | bool | a0
| ) |  |  |

setShowGps | ( | self, |
|  | bool | a0
| ) |  |  |

setSize | ( | self, |
|  | int | width,
|  | int | height
| ) |  |  |

Sets the size of the viewport and the sizes of canvasImage and coastImage.

Parameters:

  | width | new width of viewport
  | height | new height of viewport

setViewContext | ( | self, |
|  | Marble.ViewContext | viewContext
| ) |  |  |

bool showAtmosphere | ( |  | self ) |

bool showClouds | ( |  | self ) |

bool showElevationModel | ( |  | self ) |

bool showGps | ( |  | self ) |

Marble.ViewContext viewContext | ( |  | self ) |

Marble.ViewportParams viewport | ( |  | self ) |

int width | ( |  | self ) |